
#Essa função retorna uma lista em que cada elemento é um nome 
# [ 'nome da pessoa 1', 'nome da pessoa 2', ...]
def le_arquivo_nome(arquivo):
	f = open(arquivo)
	lista_nomes = []
	for s in f: #esse for atribui a s cada linha do arquivo
		lista_nomes.append(s.strip()) #tem que remover o \n do final
	f.close()
	return lista_nomes


# Essa função retorna uma lista em que cada elemento é uma lista 
# de notas. Por exemplo
# [ [9.0, 7.5], [3.3, 8.7, 6.0], ... ]
def le_arquivo_nota(arquivo):
	f = open(arquivo)
	lista_notas = []
	for s in f: #esse for atribui a s cada linha do arquivo
		l = []
		notas = s.split() # notas é uma lista com cada elemento da linha
		for c in notas: # esse for atribui a c cada uma das notas
			l.append(float(c)) # precisa transformar c num float
		lista_notas.append(l) # l contém uma lista de notas de um aluno
	f.close
	return lista_notas 
	
# calcula e retorna a média dos elementos de uma lista
def media(lista):
	soma = 0.0
	for c in lista:
		soma += c
	return soma / len(lista)
	
# Esta função recebe como parâmetros uma lista de nomes e uma lista 
# que contém as médias para cada um desses nomes. Recebe também o 
# nome do arquivo a ser gravado
# Assim, ela escreve no arquivo o elemento que está na lista de 
# nomes, seguido do elemento correspondente na lista de medias,

def escreve_arquivo_media(nomes, notas, arquivo):
	f = open(arquivo, 'w')
	for i in range(len(nomes)):
		med = media(notas[i])
		f.write('{} {:.1f}\n'.format(nomes[i], med))
	f.close()
	return
	

# Aqui começa o programa principal

#chama a função que retorna a lista de nomes
nomes = le_arquivo_nome('nomes.txt')

#chama a função que retorna a lista de notas
notas = le_arquivo_nota('notas.txt')

#chama a função que grava o arquivo de saida (arquivo de médias)
escreve_arquivo_media(nomes, notas, 'medias.txt')
