
#Essa função retorna uma lista em que cada elemento é um nome 
# [ 'nome da pessoa 1', 'nome da pessoa 2', ...]
def le_arquivo_nome(arquivo):
	f = open(arquivo)
	lista_nomes = []
	for s in f: #esse for atribui a s cada linha do arquivo
		lista_nomes.append(s.strip()) #tem que remover o \n do final
	f.close()
	return lista_nomes


# Essa função retorna uma lista em que cada elemento é uma lista 
# de notas. Por exemplo
# [ [9.0, 7.5], [3.3, 8.7, 6.0], ... ]
def le_arquivo_nota(arquivo):
	f = open(arquivo)
	lista_notas = []
	for s in f: #esse for atribui a s cada linha do arquivo
		l = []
		notas = s.split() # notas é uma lista com cada elemento da linha
		for c in notas: # esse for atribui a c cada uma das notas
			l.append(float(c)) # precisa transformar c num float
		lista_notas.append(l) # l contém uma lista de notas de um aluno
	f.close
	return lista_notas 
	
# Essa função recebe uma lista de nomes e o nome de um arquivo.
# Ela grava um nome em cada linha do arquivo de saída
def grava_arq_nomes (nomes, arquivo):
	f = open(arquivo, 'w')
	for s in nomes: # esse for atribui a s cada nome da lista
		f.write('{}\n'.format(s))
	f.close()
	return

# Essa função recebe como parâmetro uma lista em que cada elemento é
# uma lista de notas. Recebe tbem o nome do arquivo onde essas notas 
# serão escritas. Cada elemento da lista é gravado em uma linha
def grava_arq_notas(notas, arquivo):
	f = open(arquivo, 'w')
	for l in notas: # esse for atribui a l, uma lista de notas
		for n in l: # esse for atribui a n cada nota que está em l
			f.write('{:.1f} '.format(n))
		f.write('\n') # muda de linha após escrever as notas de um aluno
	f.close()
	return
	
# Essa função acaha um nome em uma lista. Se achar, retorna o indice 
# que ele está. Se não achar, retorna -1
def acha_nome(lista, nome):
	i = 0
	for s in lista:
		if s == nome:
			return i
		i += 1
	return -1 
	

# Aqui começa o programa principal

#chama a função que retorna a lista de nomes
nomes = le_arquivo_nome('nomes.txt')

#chama a função que retorna a lista de notas
notas = le_arquivo_nota('notas.txt')

f = open('notas_novas.txt')

for nome in f: # esse for atribui a nome o nome do aluno que esta no arquivo
	# le a segunda linha, que contém as notas
	linha = f.readline().split()
	nome = nome.strip()
	print(nome, linha)
	l = []
	for n in linha:
		l.append(float(n)) 
	print(l)
	
	k = acha_nome(nomes, nome)
	if k < 0: # nome não está na lista, então adiciona
		nomes.append(nome)
		notas.append(l)
	else:
		notas[k] = l # troca as notas do aluno que foi encontrado
f.close()

print(nomes)
print(notas)

# Chama função que grava arquivo de nomes
grava_arq_nomes(nomes, 'nomes.txt')

# Chama função que grava arquivo de notas
grava_arq_notas(notas, 'notas.txt')

